package org.seasar.jsf.template.impl;

import javax.faces.component.UIComponent;

import org.seasar.jsf.component.UIElement;
import org.xml.sax.Attributes;

/**
 * @author higa
 *  
 */
public class UIElementBuilder extends AbstractUIComponentBuilder {

	public UIElementBuilder(String namespaceURI, String localName,
			String qName, Attributes attributes) {
		
		super(namespaceURI, localName, qName, attributes);
	}

	protected UIComponent createComponent() {
		UIElement component = new UIElement();
		component.setTagName(getQName());
		return component;
	}
}